summaryrefslogtreecommitdiff
path: root/release.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xrelease.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/release.sh b/release.sh
new file mode 100755
index 0000000..c2c5b62
--- /dev/null
+++ b/release.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+fail ()
+{
+ echo ERROR: $1
+ exit $2
+}
+
+replace_by ()
+{
+ echo ">>> ** Replace $1 by $2"
+
+ sed -i -e "s#^\($1\s*=\s*\).*#\1$2#" portato/constants.py \
+ || fail "Failure replacing $1" 1
+}
+
+ver=$(git describe --tags)
+name=portato-$ver
+
+echo ">>> Cloning..."
+git clone . $name || fail "Cloning" 1
+
+pushd $name > /dev/null
+
+echo ">>> Compiling Cython sources"
+find -name '*.pyx' | xargs cython || fail "Cython" 1
+
+echo ">>> Patching constants.py"
+replace_by VERSION "'$ver'"
+replace_by ROOT_DIR "'/'"
+replace_by TEMPLATE_DIR "pjoin(ROOT_DIR, '/usr/share/locale')"
+replace_by DATA_DIR "'/usr/share/portato/'"
+
+echo ">>> Patching setup.py."
+sed -i -e "s/^.*#!REMOVE\$//" setup.py || fail "Failure removing lines" 1
+sed -i -e "s/^\(\s*\)#!INSERT \(.*\)/\1\2/" setup.py || fail "Failure inserting lines" 1
+
+popd > /dev/null
+
+echo ">>> Packing"
+tar -zcvf ${name}.tar.gz $name --exclude ".git*" || fail "Packing" 1
+
+echo ">>> Removing temp dir"
+rm -rf $name || fail "Removing" 1
p;follow=1'>Use GIT-1.6.3.4Lars Hjemli2-1/+1 2009-08-11ui-shared: add support for header/footer options when embedded=1Lars Hjemli1-5/+12 2009-08-10cgitrc.5.txt: describe where/how cgit will locate cgitrcLars Hjemli1-0/+7 2009-08-10cgit.c: make '/cgit.png' the default value for 'logo' optionLars Hjemli2-2/+2 2009-08-10cgit.css: align commit message with subject in expanded log listingLars Hjemli1-1/+1 2009-08-10ui-shared: add support for NO_HTTP=1/--nohttpLars Hjemli3-1/+6 2009-08-10Cleanup handling of environment variablesLars Hjemli3-33/+45 2009-08-09Add some example filter scriptsLars Hjemli2-0/+51 2009-08-09Add 'about-filter' and 'repo.about-filter' optionsLars Hjemli6-2/+28 2009-08-09ui-summary: enable arbitrary paths below repo.readmeLars Hjemli3-8/+20 2009-08-09cgit.c: allow repo.*-filter options to unset the current defaultLars Hjemli1-1/+1 2009-08-09Add support for repo.commit-filter and repo.source-filterLars Hjemli6-21/+35 2009-08-08Expose file extension in tree lists as class to allow nicer tree stylingMartin Szulecki1-1/+7 2009-08-08Introduce noplainemail option to hide email adresses from spambotsMartin Szulecki7-7/+22 2009-07-31ui-commit: add support for 'commit-filter' optionLars Hjemli4-0/+17 2009-07-31ui-tree: add support for source-filter optionLars Hjemli4-4/+25 2009-07-31ui-snapshot: use cgit_{open|close}_filter() to execute compressorsLars Hjemli1-28/+7 2009-07-31Add generic filter/plugin infrastructureLars Hjemli3-0/+62 2009-07-25Add support for mime type registration and lookupLars Hjemli4-5/+45 2009-07-25cgit.h: keep config flags sortedLars Hjemli1-2/+2 2009-07-25cgitrc.5.txt: document 'embedded' and 'noheader'Lars Hjemli1-0/+9 2009-07-25Add support for 'noheader' optionLars Hjemli3-7/+16 2009-07-25cgitrc.5.txt: document 'head-include'Lars Hjemli1-0/+4 2009-07-25ui-blob: return 'application/octet-stream' for binary blobsLars Hjemli1-1/+7 2009-07-25ui-plain: Return 'application/octet-stream' for binary files.Remko Tronçon1-1/+4 2009-06-11use cgit_httpscheme() for atom feedDiego Ongaro2-3/+6 2009-06-11add cgit_httpscheme() -> http:// or https://Diego Ongaro2-0/+12 2009-06-07Return http statuscode 404 on unknown branchLars Hjemli3-0/+6 2009-06-07Add head-include configuration option.Mark Lodato3-1/+6 2009-03-15CGIT 0.8.2.1v0.8.2.1Lars Hjemli1-1/+1 2009-03-15Fix doc-related glitches in Makefile and .gitignoreLars Hjemli2-1/+6 2009-03-15ui-snapshot: avoid segfault when no filename is specifiedLars Hjemli1-6/+17 2009-03-15fix segfault when displaying empty blobsEric Wong1-5/+8 2009-02-19Add support for HEAD requestsLars Hjemli2-0/+7 2009-02-19Add support for ETag in 'plain' viewLars Hjemli4-0/+5 2009-02-12ui-tree: escape ascii-text properly in hexdump viewLars Hjemli1-4/+9 2009-02-12Makefile: add doc-related targetsLars Hjemli1-2/+17